Freeciv-3.1: editinfobox Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
editinfobox Struct Reference

`#include <editgui.h>`

## Data Fields

GtkWidget * | widget
GtkWidget * | mode_image
GtkWidget * | mode_label
GtkWidget * | tool_label
GtkWidget * | tool_value_label
GtkWidget * | tool_image
GtkWidget * | size_hbox
GtkWidget * | size_spin_button
GtkWidget * | count_hbox
GtkWidget * | count_spin_button
GtkListStore * | tool_applied_player_store
GtkWidget * | tool_applied_player_combobox
GtkWidget * | mode_pic
GtkWidget * | tool_pic

## Detailed Description

Definition at line 44 of file editgui.h.

## Field Documentation

## ◆ count_hbox

GtkWidget * editinfobox::count_hbox

Definition at line 56 of file editgui.h.

Referenced by editinfobox_create(), and editinfobox_refresh().

## ◆ count_spin_button

GtkWidget * editinfobox::count_spin_button

Definition at line 57 of file editgui.h.

Referenced by editinfobox_create(), and editinfobox_refresh().

## ◆ mode_image

GtkWidget * editinfobox::mode_image

Definition at line 47 of file editgui.h.

Referenced by editinfobox_create(), and editinfobox_refresh().

## ◆ mode_label

GtkWidget * editinfobox::mode_label

Definition at line 48 of file editgui.h.

Referenced by editinfobox_create(), and editinfobox_refresh().

## ◆ mode_pic

GtkWidget* editinfobox::mode_pic

Definition at line 51 of file editgui.h.

Referenced by editinfobox_create(), and editinfobox_refresh().

## ◆ size_hbox

GtkWidget * editinfobox::size_hbox

Definition at line 54 of file editgui.h.

Referenced by editinfobox_create(), and editinfobox_refresh().

## ◆ size_spin_button

GtkWidget * editinfobox::size_spin_button

Definition at line 55 of file editgui.h.

Referenced by editinfobox_create(), and editinfobox_refresh().

## ◆ tool_applied_player_combobox

GtkWidget * editinfobox::tool_applied_player_combobox

Definition at line 60 of file editgui.h.

Referenced by editinfobox_create(), and refresh_tool_applied_player_combo().

## ◆ tool_applied_player_store

GtkListStore * editinfobox::tool_applied_player_store

Definition at line 59 of file editgui.h.

Referenced by editinfobox_create(), and refresh_tool_applied_player_combo().

## ◆ tool_image

GtkWidget * editinfobox::tool_image

Definition at line 52 of file editgui.h.

Referenced by editinfobox_create(), and editinfobox_refresh().

## ◆ tool_label

GtkWidget * editinfobox::tool_label

Definition at line 50 of file editgui.h.

Referenced by editinfobox_create(), and editinfobox_refresh().

## ◆ tool_pic

GtkWidget* editinfobox::tool_pic

Definition at line 56 of file editgui.h.

Referenced by editinfobox_create(), and editinfobox_refresh().

## ◆ tool_value_label

GtkWidget * editinfobox::tool_value_label

Definition at line 51 of file editgui.h.

Referenced by editinfobox_create(), and editinfobox_refresh().

## ◆ widget

GtkWidget * editinfobox::widget

Definition at line 45 of file editgui.h.

Referenced by editgui_free(), editinfobox_create(), and editinfobox_refresh().